Send a WhatsApp message
curl --request POST \
--url https://api.algosmiths.com/api/v1/messages/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "<string>",
"text": "<unknown>",
"audio": "<unknown>",
"contacts": [
{
"addresses": [
{
"street": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"country_code": "<string>"
}
],
"birthday": "<string>",
"emails": [
{
"email": "jsmith@example.com"
}
],
"name": {
"formatted_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>",
"suffix": "<string>",
"prefix": "<string>"
},
"org": {
"company": "<string>",
"department": "<string>",
"title": "<string>"
},
"phones": [
{
"phone": "<string>"
}
],
"urls": [
{
"url": "<string>"
}
]
}
],
"document": {
"id": "<string>",
"link": "<string>",
"caption": "<string>",
"filename": "<string>"
},
"image": {
"id": "<string>",
"link": "<string>",
"caption": "<string>"
},
"sticker": {
"id": "<string>",
"link": "<string>"
},
"video": {
"id": "<string>",
"link": "<string>",
"caption": "<string>"
},
"reply_to_wamid": "<string>",
"whatsapp_business_account_id": 123,
"phone_number": 123
}
'import requests
url = "https://api.algosmiths.com/api/v1/messages/"
payload = {
"to": "<string>",
"text": "<unknown>",
"audio": "<unknown>",
"contacts": [
{
"addresses": [
{
"street": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"country_code": "<string>"
}
],
"birthday": "<string>",
"emails": [{ "email": "jsmith@example.com" }],
"name": {
"formatted_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>",
"suffix": "<string>",
"prefix": "<string>"
},
"org": {
"company": "<string>",
"department": "<string>",
"title": "<string>"
},
"phones": [{ "phone": "<string>" }],
"urls": [{ "url": "<string>" }]
}
],
"document": {
"id": "<string>",
"link": "<string>",
"caption": "<string>",
"filename": "<string>"
},
"image": {
"id": "<string>",
"link": "<string>",
"caption": "<string>"
},
"sticker": {
"id": "<string>",
"link": "<string>"
},
"video": {
"id": "<string>",
"link": "<string>",
"caption": "<string>"
},
"reply_to_wamid": "<string>",
"whatsapp_business_account_id": 123,
"phone_number": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
to: '<string>',
text: '<unknown>',
audio: '<unknown>',
contacts: [
{
addresses: [
{
street: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>',
country: '<string>',
country_code: '<string>'
}
],
birthday: '<string>',
emails: [{email: 'jsmith@example.com'}],
name: {
formatted_name: '<string>',
first_name: '<string>',
last_name: '<string>',
middle_name: '<string>',
suffix: '<string>',
prefix: '<string>'
},
org: {company: '<string>', department: '<string>', title: '<string>'},
phones: [{phone: '<string>'}],
urls: [{url: '<string>'}]
}
],
document: {id: '<string>', link: '<string>', caption: '<string>', filename: '<string>'},
image: {id: '<string>', link: '<string>', caption: '<string>'},
sticker: {id: '<string>', link: '<string>'},
video: {id: '<string>', link: '<string>', caption: '<string>'},
reply_to_wamid: '<string>',
whatsapp_business_account_id: 123,
phone_number: 123
})
};
fetch('https://api.algosmiths.com/api/v1/messages/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Messages
Send a WhatsApp message
POST
/
api
/
v1
/
messages
/
Send a WhatsApp message
Authorizations
ApiKeyAuthtokenAuthCookieAuth
Workspace API key, e.g. Authorization: Bearer cb_live_.... Create one in Settings โ API Keys. See public_api.md ยง 3 for scopes.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Minimum string length:
1template- TEMPLATEtext- TEXTinteractive- INTERACTIVEaudio- AUDIOcontacts- CONTACTSdocument- DOCUMENTimage- IMAGElocation- LOCATIONorder- ORDERreaction- REACTIONsticker- STICKERvideo- VIDEO
Available options:
template, text, interactive, audio, contacts, document, image, location, order, reaction, sticker, video Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Provide the WhatsApp Business Account ID. If multiple accounts are present, provide the account ID otherwise it will be defaulted to the first account
If the provided business account has multiple phone numbers, provide the phone number ID
Response
201 - application/json
โI

